## policyd-rate-limit 0.6.2

=== Makefile ===
.PHONY: clean build install dist uninstall
VERSION=`python3 setup.py -V`

build:
	python3 setup.py build

install: dist
	pip3 -V
	[ ! -f /etc/policyd-rate-limit.yaml ] && cp -n policyd_rate_limit/policyd-rate-limit.yaml /etc/ || true
	cp -n init/policyd-rate-limit /etc/init.d
	cp -n init/policyd-rate-limit.service /etc/systemd/system/ || true
	pip3 install policyd-rate-limit -U --force-reinstall --no-deps --no-binary :all -f ./dist/policyd-rate-limit-${VERSION}.tar.gz
	systemctl daemon-reload
uninstall:
	pip3 uninstall policyd-rate-limit || true
reinstall: uninstall install
purge: uninstall
	rm -f /etc/policyd-rate-limit.conf /etc/policyd-rate-limit.yaml
	rm -f /etc/init.d/policyd-rate-limit /etc/systemd/system/policyd-rate-limit.service
	rm -rf /var/lib/policyd-rate-limit/

clean_pyc:
	find ./ -name '*.pyc' -delete
	find ./ -name __pycache__ -delete
clean_build:
	rm -rf build policyd_rate_limit.egg-info dist
clean: clean_pyc clean_build
	find ./ -name '*~' -delete

man_files:
	mkdir -p build/man/
	rst2man  docs/policyd-rate-limit.8.rst | sed 's/)(/(/g' > build/man/policyd-rate-limit.8
	rst2man  docs/policyd-rate-limit.yaml.5.rst | sed 's/)(/(/g' > build/man/policyd-rate-limit.yaml.5

dist:
	python3 setup.py sdist

publish_pypi_release:
	python setup.py sdist upload --sign

=== debian/changelog ===
policyd-rate-limit (0.6.2-1) unstable; urgency=medium

  * New upstream release
    - Yaml tuples are python list:
      + For smtp server address and credentials accept lists
      + For SOCKET convert list to tuple when found
    - Replace the parameter limited_netword by limited_networks
      (typo in the name)
    - Add stacklevel to config warnings causing the warning to refer to
      config.setup()

 -- Valentin Samir <valentin.samir@crans.org>  Tue, 16 Aug 2016 19:13:25 +0200

policyd-rate-limit (0.6.1-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Use python3-docutils vice python-docutils for build-depends since
    everything else is python3

  [ Valentin Samir ]
  * New upstream release
    - Migrate configuration to a yaml file.
    - Continue running if asking for the value of a config param and we fail to
      drop privileges. This fix postinst failing to create the system user.
    - If not config file found fallback to default config

 -- Valentin Samir <valentin.samir@crans.org>  Thu, 04 Aug 2016 10:56:57 -0400

policyd-rate-limit (0.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #831456)
  * Disable the usage of upstream init scripts (patch ignore-init-service.patch)
    and use policyd-rate-limit.service and policyd-rate-limit.init instead.
    They are identical to the upstream ones except for /usr/local/bin/ replaced
    by /usr/bin/. It also let dh_installdeb automatically setup symbolic links
    in rc* in postinst and postrm.

 -- Valentin Samir <valentin.samir@crans.org>  Thu, 28 Jul 2016 19:00:00 +0200

=== debian/rules ===
#! /usr/bin/make -f

#export DH_VERBOSE = 1
export PYBUILD_NAME = policyd-rate-limit

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	make man_files
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	make clean

## policyd-rate-limit 0.7.1

=== Makefile ===
--- 
+++ 
@@ -24,8 +24,15 @@
 	find ./ -name __pycache__ -delete
 clean_build:
 	rm -rf build policyd_rate_limit.egg-info dist
-clean: clean_pyc clean_build
+clean_coverage:
+	rm -rf htmlcov .coverage coverage.xml
+clean_tox:
+	rm -rf .tox tox_logs
+clean_test_venv:
+	rm -rf test_venv
+clean: clean_pyc clean_build clean_coverage
 	find ./ -name '*~' -delete
+clean_all: clean clean_tox clean_test_venv
 
 man_files:
 	mkdir -p build/man/
@@ -37,3 +44,15 @@
 
 publish_pypi_release:
 	python setup.py sdist upload --sign
+
+test_venv/bin/python:
+	virtualenv -p python3 test_venv
+	test_venv/bin/pip3 install -U -r requirements-dev.txt
+
+test_venv: test_venv/bin/python
+
+
+coverage: clean_coverage test_venv
+	export PATH=test_venv/bin/:$$PATH; echo $$PATH; pytest
+	test_venv/bin/coverage html
+	test_venv/bin/coverage report

=== debian/changelog ===
policyd-rate-limit (0.7.1-1) unstable; urgency=medium

  * New upstream release
    - Add possibility to overide limits by ids
    - Deal with possible unavailable database backend
    - Only count in limit if the protocol states is RCTP
    - Fix random error "dictionary changed size during iteration" on exit
    - Add unit tests (can only be run from the tar archive or once installed
      as policyd-rate-limit instances are launch during testing)

 -- Valentin Samir <valentin.samir@crans.org>  Fri, 09 Sep 2016 11:37:12 +0200

=== debian/control ===
Source: policyd-rate-limit
Section: mail
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Valentin Samir <valentin.samir@crans.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3,
               python3-setuptools,
               python3-docutils
Standards-Version: 3.9.8
Homepage: https://pypi.python.org/pypi/policyd-rate-limit
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/policyd-rate-limit/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/policyd-rate-limit/trunk/
X-Python3-Version: >= 3.4

Package: policyd-rate-limit
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         adduser
Suggests: python3-mysqldb,
            python3-psycopg2
Enhances: postfix
Description: postfix policy daemon limiting the number of mails a user can send
 policyd-rate-limit is a simple postfix policy daemon written in python3
 allowing to limit the number of mails a user can send over time.
 Users are identified either via their sasl usernames or their ip addresses.
 Limitation rules are a list of couples (number of mails, number of seconds).
 If a user has sent more than number of mails in number of seconds,
 a configurable error is returned to the user.

=== debian/watch ===
version=3
opts="uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/" \
https://pypi.debian.net/policyd-rate-limit/policyd-rate-limit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## policyd-rate-limit 1.0.0

=== debian/changelog ===
policyd-rate-limit (1.0.0-1) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 11 Dec 2018 09:57:37 +0100

policyd-rate-limit (1.0.0-1~exp+1) experimental; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python3-Version field

  [ Pierre-Elliott Bécue ]
  * New upstream 1.0.0
    + Fixed:
      - typos
      - Add 1 missing char to the rapport table width
      - Disable pip cache then installing with make install
      - Fix a db deadlock when running the script with --cleanup
      - In case of error during a read from postfix, display the whole traceback
      - Handles socket reuse by postfix
        This was causing delay in mail delivery as postfix had to detect the
        connection was closed. This was taking about 1s by recipient in a mail
        and could dramatically slow mail delivery.
    + Added
      - Add possibility to limit by sender e-mail address as requested in
      - Allow one to send reports to multiple email addresses.
  * d/control:
    - Raise dependency level on debhelper from 9 to 11
    - Bump Standards-Version to 4.2.1
  * d/compat: bump to 11
  * d/watch: bump version to 4

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 24 Nov 2018 22:49:17 +0100

## policyd-rate-limit 1.0.1.1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	[ ! -f /etc/policyd-rate-limit.yaml ] && cp -n policyd_rate_limit/policyd-rate-limit.yaml /etc/ || true
 	cp -n init/policyd-rate-limit /etc/init.d
 	cp -n init/policyd-rate-limit.service /etc/systemd/system/ || true
-	pip3 install policyd-rate-limit -U --force-reinstall --no-deps --no-binary :all -f ./dist/policyd-rate-limit-${VERSION}.tar.gz
+	pip3 install policyd-rate-limit --no-cache-dir -U --force-reinstall --no-deps --no-binary :all -f ./dist/policyd-rate-limit-${VERSION}.tar.gz
 	systemctl daemon-reload
 uninstall:
 	pip3 uninstall policyd-rate-limit || true

=== debian/changelog ===
policyd-rate-limit (1.0.1.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:37:22 +0200

policyd-rate-limit (1.0.1.1-2) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 22:59:51 -0400

policyd-rate-limit (1.0.1.1-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Pierre-Elliott Bécue ]
  * New upstream release 1.0.1.1
    - Fixes issues in accounting due to socket reuse (Closes: #960792)
    - Fixes undeclared variable issue
  * Updated upstream's signing key
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.0
  * Set Pre-Depends: ${misc:Pre-Depends} as skip-systemd-native is used in
    postinst file

 -- Pierre-Elliott Bécue <peb@debian.org>  Sat, 16 May 2020 20:09:51 +0200

=== debian/control ===
Source: policyd-rate-limit
Section: mail
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Valentin Samir <valentin.samir@crans.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               python3-docutils
Standards-Version: 4.5.0
Homepage: https://pypi.python.org/pypi/policyd-rate-limit
Vcs-Git: https://salsa.debian.org/python-team/packages/policyd-rate-limit.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/policyd-rate-limit

Package: policyd-rate-limit
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${python3:Depends},
         adduser
Suggests: python3-mysqldb,
          python3-psycopg2
Enhances: postfix
Description: postfix policy daemon limiting the number of mails a user can send
 policyd-rate-limit is a simple postfix policy daemon written in python3
 allowing to limit the number of mails a user can send over time.
 Users are identified either via their sasl usernames or their ip addresses.
 Limitation rules are a list of couples (number of mails, number of seconds).
 If a user has sent more than number of mails in number of seconds,
 a configurable error is returned to the user.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 #export DH_VERBOSE = 1
 export PYBUILD_NAME = policyd-rate-limit
+
+# Tests can only be run from the tar archive or once installed as
+# policyd-rate-limit instances are launch during testing
+export PYBUILD_DISABLE = test
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## policyd-rate-limit 1.2.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,10 @@
 .PHONY: clean build install dist uninstall
 VERSION=`python3 setup.py -V`
+
+WHL_FILES := $(wildcard dist/*.whl)
+WHL_ASC := $(WHL_FILES:=.asc)
+DIST_FILE := $(wildcard dist/*.tar.gz)
+DIST_ASC := $(DIST_FILE:=.asc)
 
 build:
 	python3 setup.py build
@@ -9,14 +14,19 @@
 	[ ! -f /etc/policyd-rate-limit.yaml ] && cp -n policyd_rate_limit/policyd-rate-limit.yaml /etc/ || true
 	cp -n init/policyd-rate-limit /etc/init.d
 	cp -n init/policyd-rate-limit.service /etc/systemd/system/ || true
+	cp -n init/policyd-rate-limit-clean.service /etc/systemd/system/policyd-rate-limit-clean.service
+	cp -n init/policyd-rate-limit-clean.timer /etc/systemd/system/policyd-rate-limit-clean.timer
 	pip3 install policyd-rate-limit --no-cache-dir -U --force-reinstall --no-deps --no-binary :all -f ./dist/policyd-rate-limit-${VERSION}.tar.gz
 	systemctl daemon-reload
+	systemctl enable policyd-rate-limit-clean.timer
+	systemctl start policyd-rate-limit-clean.timer
 uninstall:
 	pip3 uninstall policyd-rate-limit || true
 reinstall: uninstall install
 purge: uninstall
 	rm -f /etc/policyd-rate-limit.conf /etc/policyd-rate-limit.yaml
 	rm -f /etc/init.d/policyd-rate-limit /etc/systemd/system/policyd-rate-limit.service
+	rm -f /etc/systemd/system/policyd-rate-limit-clean.service /etc/systemd/system/policyd-rate-limit-clean.timer
 	rm -rf /var/lib/policyd-rate-limit/
 
 clean_pyc:
@@ -42,11 +52,8 @@
 dist:
 	python3 setup.py sdist
 
-publish_pypi_release:
-	python setup.py sdist upload --sign
-
 test_venv/bin/python:
-	virtualenv -p python3 test_venv
+	python3 -m venv test_venv
 	test_venv/bin/pip3 install -U -r requirements-dev.txt
 
 test_venv: test_venv/bin/python
@@ -56,3 +63,14 @@
 	export PATH=test_venv/bin/:$$PATH; echo $$PATH; pytest
 	test_venv/bin/coverage html
 	test_venv/bin/coverage report
+
+sign_release: $(WHL_ASC) $(DIST_ASC)
+
+dist/%.asc:
+	gpg --detach-sign -a $(@:.asc=)
+
+test_venv/bin/twine: test_venv
+	test_venv/bin/pip install twine
+
+publish_pypi_release: test_venv test_venv/bin/twine dist sign_release
+	test_venv/bin/twine upload --sign dist/*

=== debian/changelog ===
policyd-rate-limit (1.2.0-2) unstable; urgency=medium

  * Team upload.

  [ Baptiste Beauplat ]
  * Remove unused upstream GPG key.
  * Bump Standards-Version to 4.7.2.
  * Update copyright years.
  * Switch Homepage from pypi to github.
  * Set pristine-tar to True for gbp.
  * Remove deprecated syslog output in systemd unit.
  * Add man pages to systemd unit.
  * Fix typo in man page.

  [ Santiago Vila ]
  * Apply patch from Borut Mrak for python 3.12. Closes: #1128265.
  * Drop debian-branch from debian/gbp.conf.
  * Drop "Priority: optional" (default).
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Tue, 17 Feb 2026 13:50:00 +0100

policyd-rate-limit (1.2.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild on buildd.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 07 Apr 2025 00:11:36 +0200

policyd-rate-limit (1.2.0-1) unstable; urgency=medium

  * Control: Fix installation of policyd-rate-limit.yaml by running install as
    root, see setup.py.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 03 Apr 2025 18:18:03 +0200

policyd-rate-limit (1.2.0-0) unstable; urgency=medium

  * Non-maintainer upload.
  * new upstream version 1.2.0 (Closes: #1073075, #1022034)

 -- Alessandro De Zorzi <lota@nonlontano.it>  Fri, 28 Feb 2025 10:07:44 +0100

policyd-rate-limit (1.0.1.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:17:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: policyd-rate-limit
 Section: mail
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Valentin Samir <valentin.samir@crans.org>
 Build-Depends: debhelper-compat (= 13),
@@ -8,10 +7,11 @@
                python3,
                python3-setuptools,
                python3-docutils
-Standards-Version: 4.5.0
-Homepage: https://pypi.python.org/pypi/policyd-rate-limit
+Standards-Version: 4.7.3
+Homepage: https://github.com/nitmir/policyd-rate-limit
 Vcs-Git: https://salsa.debian.org/python-team/packages/policyd-rate-limit.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/policyd-rate-limit
+Rules-Requires-Root: binary-targets
 
 Package: policyd-rate-limit
 Architecture: all

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/" \
https://pypi.debian.net/policyd-rate-limit/policyd-rate-limit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
